package com.unionpay.blepayservice;

interface IBLETransCMDService{
	/**
	    * Closes the specified connection and frees internal resources.
	    * A logical channel will be closed.
	    */
	int close();
	
	   /**
	     * Tells if this channel is closed.
	   * 
	    * @return <code>true</code> if the channel is closed, <code>false</code> otherwise.
	    */
	boolean isClosed();
	/**
	 * 通过channel调用该service，向SE芯片发送指令，返回值为指令执行结果
	 */
	byte[] transmit(in byte[] cmd);
	}